Index: zenmapGUI/NmapOutputViewer.py
===================================================================
--- zenmapGUI/NmapOutputViewer.py	(revision 7645)
+++ zenmapGUI/NmapOutputViewer.py	(revision 7646)
@@ -238,8 +238,8 @@
 
                     for m in match:
                         try:
-                            buff.apply_tag(tag, buff.get_iter_at_line_index(pos, m.start()),
-                                           buff.get_iter_at_line_index(pos, m.end()))
+                            buff.apply_tag(tag, buff.get_iter_at_line_offset(pos, m.start()),
+                                           buff.get_iter_at_line_offset(pos, m.end()))
                         except:
                             pass
 
@@ -267,23 +267,23 @@
                         tag3.set_property("weight", pango.WEIGHT_HEAVY)
 
                         try:
-                            buff.apply_tag(tag1, buff.get_iter_at_line_index(pos, m.start()),
-                                           buff.get_iter_at_line_index(pos, m.end() - 5))
+                            buff.apply_tag(tag1, buff.get_iter_at_line_offset(pos, m.start()),
+                                           buff.get_iter_at_line_offset(pos, m.end() - 5))
 
-                            buff.apply_tag(tag2, buff.get_iter_at_line_index(pos, m.start() + 1),
-                                           buff.get_iter_at_line_index(pos, m.end() -4))
+                            buff.apply_tag(tag2, buff.get_iter_at_line_offset(pos, m.start() + 1),
+                                           buff.get_iter_at_line_offset(pos, m.end() -4))
 
-                            buff.apply_tag(tag3, buff.get_iter_at_line_index(pos, m.start() + 2),
-                                           buff.get_iter_at_line_index(pos, m.end() - 3))
+                            buff.apply_tag(tag3, buff.get_iter_at_line_offset(pos, m.start() + 2),
+                                           buff.get_iter_at_line_offset(pos, m.end() - 3))
                             
-                            buff.apply_tag(tag1, buff.get_iter_at_line_index(pos, m.start() + 3),
-                                           buff.get_iter_at_line_index(pos, m.end() - 2))
+                            buff.apply_tag(tag1, buff.get_iter_at_line_offset(pos, m.start() + 3),
+                                           buff.get_iter_at_line_offset(pos, m.end() - 2))
 
-                            buff.apply_tag(tag2, buff.get_iter_at_line_index(pos, m.start() + 4),
-                                           buff.get_iter_at_line_index(pos, m.end() - 1))
+                            buff.apply_tag(tag2, buff.get_iter_at_line_offset(pos, m.start() + 4),
+                                           buff.get_iter_at_line_offset(pos, m.end() - 1))
 
-                            buff.apply_tag(tag3, buff.get_iter_at_line_index(pos, m.start() + 5),
-                                           buff.get_iter_at_line_index(pos, m.end()))
+                            buff.apply_tag(tag3, buff.get_iter_at_line_offset(pos, m.start() + 5),
+                                           buff.get_iter_at_line_offset(pos, m.end()))
                         except:
                             pass
                     else:
@@ -313,14 +313,14 @@
                         tag3.set_property("weight", pango.WEIGHT_HEAVY)
 
                         try:
-                            buff.apply_tag(tag1, buff.get_iter_at_line_index(pos, m.start()),
-                                           buff.get_iter_at_line_index(pos, m.end() - 2))
+                            buff.apply_tag(tag1, buff.get_iter_at_line_offset(pos, m.start()),
+                                           buff.get_iter_at_line_offset(pos, m.end() - 2))
 
-                            buff.apply_tag(tag2, buff.get_iter_at_line_index(pos, m.start() + 1),
-                                           buff.get_iter_at_line_index(pos, m.end() -1))
+                            buff.apply_tag(tag2, buff.get_iter_at_line_offset(pos, m.start() + 1),
+                                           buff.get_iter_at_line_offset(pos, m.end() -1))
 
-                            buff.apply_tag(tag3, buff.get_iter_at_line_index(pos, m.start() + 2),
-                                           buff.get_iter_at_line_index(pos, m.end()))
+                            buff.apply_tag(tag3, buff.get_iter_at_line_offset(pos, m.start() + 2),
+                                           buff.get_iter_at_line_offset(pos, m.end()))
                         except:
                             pass
                     else:
